rte_param_log2_range(3)

NAME
rte_param_log2_range

SYNOPSIS

#include <rte_compressdev.h>

  Data Fields

uint8_t min
uint8_t max
uint8_t increment

Detailed Description

Parameter log base 2 range description. Final value will be 2^value.

Definition at line 26 of file rte_compressdev.h.

Field Documentation

  uint8_t min
Minimum log2 value

Definition at line 27 of file rte_compressdev.h.

  uint8_t max
Maximum log2 value

Definition at line 28 of file rte_compressdev.h.

  uint8_t increment
If a range of sizes are supported, this parameter is used to indicate increments in base 2 log byte value that are supported between the minimum and maximum

Definition at line 29 of file rte_compressdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.